summaryrefslogtreecommitdiff
path: root/vendor/aws/aws-crt-php/run_tests
diff options
context:
space:
mode:
Diffstat (limited to 'vendor/aws/aws-crt-php/run_tests')
-rwxr-xr-xvendor/aws/aws-crt-php/run_tests18
1 files changed, 18 insertions, 0 deletions
diff --git a/vendor/aws/aws-crt-php/run_tests b/vendor/aws/aws-crt-php/run_tests
new file mode 100755
index 0000000..18b449a
--- /dev/null
+++ b/vendor/aws/aws-crt-php/run_tests
@@ -0,0 +1,18 @@
+#!/usr/bin/env bash
+
+set -ex
+
+launcher=
+if command -v catchsegv; then
+ launcher=catchsegv
+fi
+
+if [ -z $PHP_BINARY ]; then
+ PHP_BINARY=$(which php)
+fi
+
+if [ ! -d vendor ]; then
+ composer update
+fi
+
+$launcher $PHP_BINARY -c php.ini vendor/bin/phpunit tests --debug